For the complete documentation index, see llms.txt. This page is also available as Markdown.

Asset Status

All assets can be assigned a status to communicate and track progress across teams.

Set Asset Status

PUT https://api.echo3d.com/versionStatus

Request Body

Name
Type
Description

key*

string

Your API key.

entryId*

string

The entry ID of the content entry being accessed.

versionStatus*

string

Any string value denoting the status, eg Approved

secKey*

string

Your collection's secret key. Required only if enabled through the Security page.

email*

string

Your email address

userKey*

string

Your user authentication key

When setting a status, the success server response will always include the asset permission state.

Asset Lock via Status Update

The status you set for your asset can be any string. If the status string exactly matches (case-sensitive) either of status strings below, the asset will be locked. This closes the individual asset's permissions and preventing any edits until the asset is unlocked by an admin:

Clear Asset Status

DELETE https://api.echo3d.com/versionStatus

Request Body

Name
Type
Description

key*

string

Your API key.

entryId*

string

The entry ID of the content entry being accessed.

secKey*

string

Your collection's secret key. Required only if enabled through the Security page.

email*

string

Your email address

userKey*

string

Your user authentication key

No Response Content

If the asset was locked with a Approved or Released status, the deletion request will also unlock the asset.

Last updated